package com.gic.haoban.manage.web.controller.content;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.web.qo.content.account.AccountGenerateQrCodeQo;
import com.gic.haoban.manage.web.qo.content.account.AccountInfoQo;
import com.gic.haoban.manage.web.qo.content.account.AccountScanResultQo;
import com.gic.haoban.manage.web.vo.content.account.AccountAuthorizeResultVo;
import com.gic.haoban.manage.web.vo.content.account.AccountAuthorizeVo;
import com.gic.haoban.manage.web.vo.content.account.ContentAccountInfoVo;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 好办-视频号-授权
 * @Author MUSI
 * @Date 2023/10/29 9:33 PM
 * @Description
 * @Version
 **/

@RestController
@RequestMapping(path = "/content/account")
public class ContentAccountController {


    /**
     * 查询导购当前账号视频号列表
     * @param accountInfoQo
     * @return
     */
    @RequestMapping(path = "/list")
    private RestResponse<List<ContentAccountInfoVo>> queryAccountList(AccountInfoQo accountInfoQo) {
        return RestResponse.successResult();
    }


    /**
     * 获取登陆/授权二维码
     * @param accountGenerateQrCodeQo
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/generate/qrcode")
    public RestResponse<AccountAuthorizeVo> generateQrCode(AccountGenerateQrCodeQo accountGenerateQrCodeQo) {
        return RestResponse.successResult();
    }

    /**
     * 二维码轮询结果
     * @param accountScanResultQo
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/loop/query/scan/qrcode/result")
    public RestResponse<AccountAuthorizeResultVo> queryScanQrCodeResult(AccountScanResultQo accountScanResultQo) {
        return RestResponse.successResult();
    }
}
